ranges::v3::nth_element_fn Struct Reference
Algorithms

## Public Member Functions

template<typename I , typename S , typename C = ordered_less, typename P = ident, requires = (RandomAccessIterator<I>() && Sortable<I, C, P>())>
I | operator() (I begin, I nth, S end_, C pred=C{}, P proj=P{}) const
template<typename Rng , typename C = ordered_less, typename P = ident, typename I = iterator_t<Rng>, requires = ( RandomAccessRange<Rng>() && Sortable<I, C, P>() )>
safe_iterator_t< Rng > | operator() (Rng &&rng, I nth, C pred=C{}, P proj=P{}) const